Bug 618403 - [abrt] crash in poedit-1.4.6.1-1.fc13: length: Process /usr/bin/poedit was killed by signal 11 (SIGSEGV)
[abrt] crash in poedit-1.4.6.1-1.fc13: length: Process /usr/bin/poedit was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poedit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
abrt_hash:0f5ee35534eb56f0eb043e54941...
:
: 632556 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 16:45 EDT by Daniel Cabrera
Modified: 2011-06-29 08:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.02 KB, text/plain)
2010-07-26 16:45 EDT, Daniel Cabrera
no flags Details
The offending file (47.64 KB, text/plain)
2010-07-26 17:11 EDT, Daniel Cabrera
no flags Details

  None (edit)
Description Daniel Cabrera 2010-07-26 16:45:11 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: poedit
comment: The program crashes when you try to open a file, if you was working on a previous and different file.
component: poedit
crash_function: length
executable: /usr/bin/poedit
global_uuid: 0f5ee35534eb56f0eb043e5494137f96d30e7b7e
kernel: 2.6.33.6-147.fc13.x86_64
package: poedit-1.4.6.1-1.fc13
rating: 4
reason: Process /usr/bin/poedit was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Open a relatively large .po file (30 KB aprox.).
2. Work a litle bit over that file, modify it, and save it.
3. Without closing the program, open another .po file: Poedit crashes.
Comment 1 Daniel Cabrera 2010-07-26 16:45:16 EDT
Created attachment 434528 [details]
File: backtrace
Comment 2 Christoph Wickert 2010-07-26 16:56:01 EDT
Can you reproduce the crash? If so, can you please attach the offending file?
Comment 3 Daniel Cabrera 2010-07-26 17:11:22 EDT
Created attachment 434531 [details]
The offending file

I was just working on the previous file of the guide, docs-managing-confined-service.f13.Introduction.po. When I finished and try to move to the next one, he crashes. Actually, this happens a lot :-(
Comment 4 Karel Klíč 2010-11-09 09:38:21 EST
*** Bug 632556 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2011-06-01 08:47:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 08:56:42 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.